'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('./actions');

/**
 * This function synchronizes your history state with the Redux store.
 * Location changes flow from history to the store. An unsubscribe function
 * is returned if you ever what the store to stop being in sync with the state
 */
var syncHistoryWithStore = function syncHistoryWithStore(history, store) {
  // Whenever location changes, dispatch an action to get it in the store
  return history.listen(function (location, action) {
    // Tell the store to update by dispatching an action
    store.dispatch((0, _actions.onLocationChanged)(location, action));
  });
};

exports.default = syncHistoryWithStore;